services:

  # printService:
  #   image: harbor.internal.magicsnap.cn/device/print:{{$printVersion}}
  #   container_name: printService
  #   restart: unless-stopped
  #   stop_grace_period: 1s
  #   network_mode: host
  #   pid: host
  #   privileged: true
  #   volumes:
  #     # - '/dev:/dev:ro,rslave'
  #     - '/run:/run:ro,rslave'
  #     - '/apps:/apps'
  
  algorithmService:
    image: harbor.internal.magicsnap.cn/device/algorithm:cpu-{{$algorithmVersion}}
    container_name: algorithmService
    restart: unless-stopped
    stop_grace_period: 1s
    network_mode: host
    pid: host
    privileged: true
    volumes:
      - '/run/udev:/run/udev:ro'
      - '/apps:/apps'
      - '/apps/algorithm/weights:/app/algorithm/weights'
 
  nodeExporter:
    image: harbor.internal.magicsnap.cn/device/node-exporter:1.0.0
    container_name: nodeExporter
    restart: unless-stopped
    stop_grace_period: 1s
    network_mode: host
    pid: host
    environment:
      deviceNo: "{{$deviceNo}}"
    volumes:
      - '/:/host:ro,rslave'
